/*
 * Copyright 2006 Nagoya University. All rights reserved.
 */
package jp.ac.nagoya_u.cas.client;

/**
 * Class that exposes the CAS version. Fetches the "Implementation-Version"
 * manifest attribute from the jar file.
 * 
 * @author Hisashi Naito
 * @version $Revision: 1.2 $ $Date: 2007-06-01 14:50:06+09 $
 */
public final class CasClientVersion {

    /**
     * Private constructor for CasVersion. You should not be able to instanciate
     * this class.
     */
    private CasClientVersion() {
        // this class is not instantiable
    }

    /**
     * Return the full CAS version string.
     * 
     * @see java.lang.Package#getImplementationVersion
     */
    public static String getVersion() {
        return CasClientVersion.class.getPackage().getImplementationVersion();
    }
}
